import { html as n } from "lit";
import { property as a } from "lit/decorators.js";
import { PieIconComponent as f } from "./PieIconComponent.js";
import { safeCustomElement as h } from "@justeattakeaway/pie-webc-core";
var v = Object.defineProperty, m = Object.getOwnPropertyDescriptor, s = (p, o, i, t) => {
  for (var e = t > 1 ? void 0 : t ? m(o, i) : o, l = p.length - 1, c; l >= 0; l--)
    (c = p[l]) && (e = (t ? c(o, i, e) : c(e)) || e);
  return t && e && v(o, i, e), e;
};
let r = class extends f {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--facebookCircleFilled", this.class = "c-pieIcon c-pieIcon--facebookCircleFilled", this.name = "IconSocialFacebookCircleFilled";
  }
  render() {
    return n`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--facebookCircleFilled"><path d="M8.14 1.411A6.615 6.615 0 1 0 14.755 8 6.624 6.624 0 0 0 8.14 1.41m1.942 4.165h-.577a.656.656 0 0 0-.735.718v.83h1.26l-.201 1.313h-1.06v3.168a4 4 0 0 1-.708.061 3.7 3.7 0 0 1-.709-.061v-3.15H6.197v-1.33h1.155v-.98a1.6 1.6 0 0 1 1.75-1.75q.511.007 1.015.087z"></path></svg>`;
  }
};
s([
  a({ type: String, reflect: !0 })
], r.prototype, "size", 2);
s([
  a({ type: String, reflect: !0 })
], r.prototype, "class", 2);
r = s([
  h("icon-social-facebook-circle-filled")
], r);
export {
  r as IconSocialFacebookCircleFilled
};
